#{extends 'borderTemplate.html' /}

<h4>&{'nonspk.summary_report'}</h4>
<div class="card card-primary">
    <div class="card-header">Informasi Pencatatan Non Tender</div>
    <table class="table table-sm table-bordered" >
        <tbody>
        <tr>
            <td class="bg-info" width="200">&{'nonspk.kode_paket'}</td>
            <td>${nonSpk?.lls_id}</td>
        </tr>
        <tr>
            <td class="bg-info">&{'nonspk.nama_paket'}</td>
            <td>${nonSpk?.paket?.pkt_nama}</td>
        </tr>
        <tr>
            <td class="bg-info">&{'nonspk.jenis_pengadaan'}</td>
            <td><strong>${nonSpk?.getKategori()?.nama}</strong></td>
        </tr>
        <tr>
            <td class="bg-info">&{'nonspk.metode_pemilihan'}</td>
            <td><strong>${nonSpk?.pemilihan?.label}</strong></td>
        </tr>
        <tr>
            <th class="bg-info">&{'nonspk.bukti_pembayaran'}</th>
            <td><strong>${nonSpk?.buktiPembayaran?.label}</strong></td>
        </tr>
        <tr>
            <th class="bg-info">&{'nonspk.tanggal_mulai_paket'}</th>
            <td>
            ${nonSpk?.lls_tanggal_paket_mulai?.toDatetimepicker()}
            </td>
        </tr>
        <tr>
            <th class="bg-info">&{'nonspk.tanggal_selesai_paket'}</th>
            <td>
                ${nonSpk?.lls_tanggal_paket_selesai?.toDatetimepicker()}
            </td>
        </tr>
        <tr>
            <td class="bg-info">&{'nonspk.nilai_pagu'}</td>
            <td>${nonSpk?.paket?.pkt_pagu?.rupiah()} %</td>
        </tr>

        <tr>
            <td class="bg-info">&{'nonspk.realisasi'}</td>
            <td>
                <table id="listJenisRealisasi" class="table table-sm table-bordered">
                    <thead>
                        <tr>
                            <th>No.</th>
                            <th>&{'nonspk.jenis_realisasi'}</th>
                            <th>&{'nonspk.nilai_realisasi'}</th>
                            <th>&{'nonspk.tgl_realisasi'}</th>
                        </tr>
                    </thead>
                    <tbody>
                    #{list items:listJenisRealisasi, as:'jenisRealisasi'}
                        <tr>
                            <td>${jenisRealisasi?.rsk_nama}</td>
                            <td>
                                #{if jenisRealisasi?.rsk_jenis == 7}
                                    ${jenisRealisasi?.rsk_nama_dok}
                                #{/if}
                                #{else}
                                    ${models.nonlelang.nonSpk.JenisRealisasiNonSpk.JenisRealisasiNonSpkEnum.fromValue(jenisRealisasi?.rsk_jenis).label}
                                #{/else}
                            </td>
                            <td>${ext.FormatUtils.formatCurrencyRupiah(jenisRealisasi?.rsk_nilai)}</td>
                            <td>${jenisRealisasi?.rsk_tanggal?.toDatepicker()}</td>
                            <td>
                                #{if jenisRealisasi?.rsk_id_attachment != null && !jenisRealisasi?.rsk_id_attachment.equals("")}
                                ${jenisRealisasi?.getBlob()?.getFileName()}
                                #{/if}
                            </td>
                            <td>${jenisRealisasi.rsk_keterangan}</td>
                        </tr>
                    #{/list}
                    </tbody>
                </table>

                <div class="card bg-light card-body mb-3 card bg-faded p-1 mb-3" style="float: right;"><strong>Total Nilai Realisasi : </strong>${totalNilaiRealisasi}</div>
            </td>
        </tr>
        <tr>
            <td class="bg-info">&{'nonspk.uraian_pekerjaan'}</td>
            <td>${nonSpk?.lls_uraian_pekerjaan?.raw()}</td>
        </tr>
        <tr>
            <td class="bg-info">&{'nonspk.info_lainnya'}</td>
            <td>
            #{list items:informasiLainnya, as:'info'}
                <li class="list-group-item">
                ${info?.blob?.blb_nama_file}
                </li>
            #{/list}
            </td>
        </tr>
        #{if draftPesertaNonSpkList.size() > 0}
        <tr>
            <th class="bg-info">Daftar Penyedia</th>
            <td colspan="3">
                <div class="card card-info">
                    <table class="table table-sm table-bordered">
                        <thead>
                        <tr>
                            <th width="5">No</th>
                            <th>&{'nonspk.nama_perusahaan'}</th>
                            <th>&{'nonspk.npwp'}</th>
                            <th>&{'nonspk.email'}</th>
                            <th>&{'nonspk.telepon'}</th>
                            <th>&{'nonspk.alamat'}</th>
                        </tr>
                        </thead>
                        <tbody>
                            #{list items:draftPesertaNonSpkList, as:'draftPeserta'}
                            <tr>
                                <td>${draftPeserta_index}</td>
                                <td>${draftPeserta.dpn_nama_rekanan}</td>
                                <td>${draftPeserta.dpn_npwp_rekanan}</td>
                                <td>${draftPeserta.dpn_email_rekanan}</td>
                                <td>${draftPeserta.dpn_telp_rekanan}</td>
                                <td>${draftPeserta.dpn_alamat_rekanan}</td>
                            </tr>
                            #{/list}
                        </tbody>
                    </table>
                </div>
            </td>
        </tr>
        #{/if}

        </tbody>
    </table>
</div>


